<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_kernel_info_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_kernel_info_t Struct Reference</h1><!-- doxytag: class="vx_kernel_info_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The Kernel Information Structure. This is returned by the Context to indicate which kernels are available in the OpenVX implementation. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__kernel__info__t.html#ac44ad3f0e2d9a787394fa8f687c02716">enumeration</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The kernel enumeration value from <code>vx_kernel_e</code> (or an extension thereof).  <a href="#ac44ad3f0e2d9a787394fa8f687c02716"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__kernel__info__t.html#aa191d86fdfdc3fe918fd092693528f6f">name</a> [VX_MAX_KERNEL_NAME]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The kernel name in dotted hierarchical format. e.g. "org.khronos.openvx.sobel_3x3".  <a href="#aa191d86fdfdc3fe918fd092693528f6f"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ac44ad3f0e2d9a787394fa8f687c02716"></a><!-- doxytag: member="vx_kernel_info_t::enumeration" ref="ac44ad3f0e2d9a787394fa8f687c02716" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structvx__kernel__info__t.html#ac44ad3f0e2d9a787394fa8f687c02716">vx_kernel_info_t::enumeration</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The kernel enumeration value from <code>vx_kernel_e</code> (or an extension thereof). </p>
<dl class="see"><dt><b>See also:</b></dt><dd>vxGetKernelByEnum </dd></dl>

</div>
</div>
<a class="anchor" id="aa191d86fdfdc3fe918fd092693528f6f"></a><!-- doxytag: member="vx_kernel_info_t::name" ref="aa191d86fdfdc3fe918fd092693528f6f" args="[VX_MAX_KERNEL_NAME]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a> <a class="el" href="structvx__kernel__info__t.html#aa191d86fdfdc3fe918fd092693528f6f">vx_kernel_info_t::name</a>[VX_MAX_KERNEL_NAME]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The kernel name in dotted hierarchical format. e.g. "org.khronos.openvx.sobel_3x3". </p>
<dl class="see"><dt><b>See also:</b></dt><dd>vxGetKernelByName </dd></dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
